petsc-3.4.2 2013-07-02

# DMMeshViewExodusSplit

Write a dmMesh geometry and topology into several ExodusII files.

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshViewExodusSplit(DM dm,PetscInt exoid)

Collective on comm

### Input Parameters

| comm | - The MPI communicator
| filename | - The ExodusII filename. Must be different on each processor (suggest using prefix-<rank>.gen or prefix-<rank>.exo)

dm -The DM object representing the body

Face Sets (Side Sets in Exodus terminology) are ignored

Interpolated meshes are not supported.

### Keywords

mesh,ExodusII

### See Also

MeshCreate()

Level:beginner
Location:src/dm/impls/mesh/meshexodus.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages